.TH PARSL-GLOBUS-AUTH "1" "July 2024" "parsl version 2024.07.22+ds" "User Commands"
.SH NAME
parsl-globus-auth \- authenticate parsl user to globus
.SH SYNOPSIS
.B parsl-globus-auth
.PP
.SH DESCRIPTION
In order to transfer files with Globus, the user must first authenticate.
The first time that Globus is used with Parsl on a computer,
the program will prompt the user to follow an authentication and authorization procedure involving a web browser.
Users can authorize out of band by running the parsl-globus-auth utility.
This is useful, for example, when running a Parsl program in a batch system where it will be unattended.
.PP
This command takes no arguments nor options.
.PP
.SH EXAMPLES
Here is an example establishement of authorization to a Globus infrastructure:
.PP
.in +4n
.EX
$ parsl-globus-auth
Parsl Globus command-line authorizer
If authorization to Globus is necessary, the library will prompt you now.
Otherwise it will do nothing
Authorization complete
.EE
.in
.SH AUTHORS
.BR parsl-globus-auth
is written by the Parsl Team.
.PP
The present manual page is written by Étienne Mollier <emollier@debian.org> for the Debian project,
but can be reused for other purposes.
.SH SEE ALSO
.PP
.BR parsl-perf (1),
.BR parsl-visualize (1),
